:root {
	--pink: #f14e95;
	--bg: #0a0a0a;
	--shadow: 0 2px 2px rgb(0 0 0 / 0.5);
}

body {
	font-size: 1.2rem;
	font-family: 'Work Sans', sans-serif;
	min-height: 4000px;

}

.hero {
	position: relative;
}

.hero-img {
	background-position: center;
	background-size: cover;
	width: 100%;
	height: 100%;
	filter: brightness(0.4);
	position: absolute;
	z-index: -1;
	margin-top: -80px;
}

.hero-img2 {
	background-position: center;
	background-size: cover;
	width: 100%;
	height: 100%;
	min-height: 110vh;
}

.zoom {
	animation: zoom-in 5s;
	scale: 110%;
}

.generate {
	border-radius: 5px;
}

.hero {
	min-height: 110vh;
}

.hero h1,
.hero h4,
.hero p {
	text-shadow: var(--shadow);
}

.hero h1 {
	font-family: 'Dancing Script', sans-serif;
	font-size: 6rem;
	margin-bottom: 50px;
}

.simply-countdown {
	margin-bottom: 50px;
}

.hero h4 {
	font-size: 1.4rem;
	font-family: 'Futura Std', serif;
}

.hero p {
	font-family: 'Futura Std', serif;
	font-size: 17px;
	color: #FFFFFF !important;
	margin-top: -100px;
}

.hero a {
	font-size: 0.8rem;
	color: #000000;
	background-color: #ffffff;
	box-shadow: var(--shadow);

}

.hero a:hover {
	background-color: #ffffff;
	color: var(--pink);
}



.mynavbar {
	background-color: rgba(255, 255, 255, 0.3) !important;
	backdrop-filter: blur(4px);
}

.mynavbar .offcanvas {
	height: 100vh;
}

.mynavbar .navbar-brand,
.mynavbar .offcanvas-title {
	font-family: 'Sacramento', cursive;
	font-size: 3.2rem;
	font-weight: bold;
}

.mynavbar .nav-link {
	text-transform: uppercase;
}


.home {
	background-image: url(img/background/1.png);
	background-size: cover;
	/* min-height: 90vh; */
	margin-top: -40px;
	padding-top: 13rem;
	padding-bottom: 13rem;
	/* padding-bottom: 5rem; */
}

.home h2,
.story h2,
.gallery h2,
.gifts h2 {
	color: var(--pink);
	font-family: 'Sacramento';
	font-size: 5rem;
	font-weight: bold;
}

.home h3 {
	color: #444;
	font-size: 1.5rem;
	margin-bottom: 1rem;
}

.home p {
	font-size: 1.1rem;
	color: #666;
}

.home .couple {
	margin-top: 100px;
}

.home .couple h3 {
	font-family: 'Sacramento';
	font-size: 2.4rem;
	color: var(--pink);
}

.home .couple img {
	border: var(--pink) 3px solid;
	width: 100%;
}

.home .heart {
	width: 50px;
	height: 50px;
	background-color: white;
	display: flex;
	border-radius: 50%;
	box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
	position: absolute;
	left: 50%;
	transform: translateX(-50%) translateY(65px);
}

.home .heart i {
	margin: auto;
	color: var(--pink);
}

.home a {
	font-family: 'montserrat';
	font-size: 0.8rem;
	text-decoration: none;
	background-color: var(--pink);
	color: #f1f1f1;
	padding: 9px;

}

.info {
	color: white;
	position: relative;
	/* margin-top: -25px; */
	padding-bottom: 170px;
	padding-top: 170px;
}

.elementor-shape-top {
	top: -1px;
}


.elementor-shape svg {
	display: block;
	width: calc(100% + 1.3px);
	position: relative;
	left: 50%;
	transform: translateX(-50%);
}


.elementor-shape .elementor-shape-fill {
	fill: #fff6f9;
	transform-origin: center;
	transform: rotateY(180deg);
}

.elementor-shape .elementor-shape-fill2 {
	fill: #ffffff;
	transform-origin: center;
	transform: rotateY(180deg);
}

.elementor-shape[data-negative=false].elementor-shape-bottom,
.elementor-shape[data-negative=true].elementor-shape-top {
	transform: rotate(180deg);
}


.elementor-shape-bottom {
	bottom: -1px;
}

.elementor-shape {
	overflow: hidden;
	position: absolute;
	left: 0;
	width: 100%;
	line-height: 0;
	direction: ltr;
}

.elementor-shape-bottom .elementor-shape-fill {
	fill: #ffffff;
}

.elementor-shape-top-2 {
	position: relative;
	z-index: -1;
	margin-top: -5px;
	background-color: var(--pink);
}

.elementor-shape-top-2 .elementor-shape-fill {
	fill: #f5f5f5;
}

.elementor-shape-bottom-2 {
	margin-top: -5px;
	position: relative;
	z-index: -1;
	background-color: #ffffff;
}

.elementor-shape-bottom-2 .elementor-shape-fill {
	fill: var(--pink);

}

.bg-info {
	position: absolute;
	z-index: -3;
	top: 0;
	left: 0;
	background-image: url(img/background/2.jpg);
	background-position: 20% 20%;
	background-size: cover;
	width: 100%;
	height: 100%;
	filter: brightness(0.3);
}

.img-info {
	position: absolute;
	top: 525px;
	left: -175px;
	width: 100%;
	height: 100%;
	z-index: -2;
	animation: zoom 4s linear infinite;
}

.img-info img {
	width: 200px;
}

.img-info2 {
	position: absolute;
	top: 0;
	left: 175px;
	width: 100%;
	height: 100%;
	z-index: -2;
	animation: zoom 4s linear infinite;
}

.img-info2 img {
	width: 200px;
}

.info h1 {
	font-family: 'Luxia', sans-serif;
	color: #666;
	font-size: 2rem;
	letter-spacing: 3px;
}

.info .head h1 {
	letter-spacing: 3px !important;
	margin-bottom: 50px;
	font-size: 3rem !important;
}

.info h2 {
	font-family: 'Luxia', sans-serif;
	color: #666;
	font-size: 3rem !important;
	font-weight: bold;
}

.box-info {
	width: 550px;
	height: 700px;
	border-radius: 25px 25px 25px 25px;
	position: relative;
}

.bg-box-info {
	position: absolute;
	z-index: -2;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #e8e0cb;
}

.info span {
	font-family: 'Playfair Display', sans-serif;
	color: #666;
	font-weight: bold;
}

.info p {
	font-family: 'Luxia', sans-serif;
	color: #666;
	font-size: 1rem !important;
}

.info a {
	background-color: #69727d;
	color: #e8e0cb;
}

.info a:hover {
	background-color: #58626e;
	color: #e8e0cb;
}


.info i {
	color: #666;
	font-size: 30px;
}

.story,
.gallery,
.gifts {
	padding-top: 10rem;
	padding-bottom: 8rem;
}

.story span,
.gallery span,
.gifts span,
.terimakasih span {
	text-transform: uppercase;
	color: #666;
	font-size: 0.9rem;
	letter-spacing: 1px;
	display: block;
	margin-bottom: 1rem;
}


.story p,
.gallery p,
.rsvp p,
.gifts p {
	font-size: 1rem;
	font-weight: 300;
}


.timeline {
	list-style: none;
	padding: 1.4rem 0;
	margin-top: 1rem;
	position: relative;
}


.timeline::before {
	content: '';
	top: 0;
	bottom: 0;
	position: absolute;
	width: 1px;
	background-color: var(--pink);
	left: 50%;
}


.timeline li {
	margin-bottom: 1.5rem;
	position: relative;
}

.timeline li::before,
.timeline li::after {
	content: '';
	display: table;
}

.timeline li::after {
	clear: both;
}

.timeline li .timeline-image {
	width: 160px;
	height: 160px;
	background-color: #ccc;
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	border-radius: 50%;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	border: 3px solid var(--pink);
}


.timeline li .timeline-panel {
	width: 40%;
	float: left;
	border: 1px solid #ccc;
	padding: 2rem;
	position: relative;
	border-radius: 8px;
	background-color: #fff;
	border: 3px solid var(--pink);
}


.timeline li .timeline-panel::before {
	content: '';
	display: inline-block;
	position: absolute;
	border-top: 15px solid transparent;
	border-left: 15px solid var(--pink);
	border-right: 0 solid var(--pink);
	border-bottom: 15px solid transparent;
	top: 80px;
	right: -15px;

}


.timeline li .timeline-panel::after {
	content: '';
	position: absolute;
	display: inline-block;
	border-top: 14px solid transparent;
	border-left: 14px solid #fff;
	border-right: 0 solid #fff;
	border-bottom: 14px solid transparent;
	top: 81px;
	right: -13px;

}



.timeline li.timeline-inverted .timeline-panel {
	float: right;
}


.timeline li.timeline-inverted .timeline-panel::before {
	border-left-width: 0;
	border-right-width: 15px;
	left: -15px;
	right: auto;
}



.timeline li.timeline-inverted .timeline-panel::after {
	border-left-width: 0;
	border-right-width: 14px;
	left: -13px;
	right: auto;
}


.gallery {
	background-color: #f5f5f5;
}

.rsvp {
	margin-top: -5px;
	background-color: var(--pink);
	padding-top: 100px;
	padding-bottom: 60px;
}

.rsvp .bg-kolom {
	background-color: var(--bg);
	border-radius: 25px 25px 25px 25px;
	margin-bottom: 50px;
}

.rsvp h2 {
	font-family: 'Dancing Script', sans-serif;
	font-size: 3.5rem;
	color: var(--pink);
}

.rsvp p {
	color: white;
}


.rsvp form label {
	color: white;
}

.rsvp button {
	background-color: var(--pink);
	color: white;
	border: 1px solid var(--pink);
}


.rsvp button:hover {
	background-color: white;
	color: var(--pink);
	border: 1px solid white;
}

.gifts li img {
	width: 100px;
	margin-bottom: 10px;
}

.jmlh-komentar {
	color: var(--pink);
	font-family: 'montserrat', sans-serif;
	font-weight: 600;
	font-size: 1.3rem;
}

.terimakasih {
	position: relative;
	min-height: 80vh;
}


.terimakasih .gradien {
	position: absolute;
	z-index: -1;
	width: 100%;
	top: 0;
	left: 0;
	/* border-radius: 45% 45% 0 0 / 10%; */
	min-height: 80vh;
	background-image: linear-gradient(to bottom, rgba(255, 0, 0, 0), rgb(255, 255, 255, 1));
}

.terimakasih .bg {
	position: absolute;
	z-index: -2;
	background-position: center;
	background-size: cover;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	filter: brightness(0.5);
	/* border-radius: 45% 45% 0 0 / 10%; */
	min-height: 80vh;
}

.terimakasih h1 {
	color: #d6b782;
	font-family: 'Trajan Pro', sans-serif;
	font-weight: bold;
}

.terimakasih span {
	text-transform: uppercase;
	color: #d6b782;
	font-size: 0.9rem;
	letter-spacing: 1px;
	display: block;
	margin-bottom: 1rem;
}

footer {
	padding: 3rem;
	background-color: #ffffff;
	color: #043d72;
}

footer a {
	color: #043d72;
	font-weight: bold;
	text-decoration: none;
}


footer a:hover {
	color: #1860a3;
}

footer li {
	list-style: none;
	display: inline;
	margin: 0.5rem;
}


.audio-icon-wrapper {
	width: 4rem;
	height: 4rem;
	font-size: 4rem;
	position: fixed;
	bottom: 2.5rem;
	right: 2rem;
	cursor: pointer;
	color: white;
	opacity: 0.5;
	mix-blend-mode: difference;
	animation: rotating 4s linear infinite;
	transform-origin: center;
	display: flex;
	justify-content: center;
	align-items: center;
	line-height: 0;
}

.pagination_ {
	text-align: center;
	margin: 30px 30px 60px;
	user-select: none;
}

.pagination_ li {
	display: inline-block;
	margin: 5px;
	box-shadow: 0 5px 25px rgb(1 1 1 / 10%);
}

.pagination_ li a {
	color: #fff;
	text-decoration: none;
	font-size: 1em;
	line-height: 45px;
}

.previous_page,
.next_page {
	background: #f14e95;
	width: 80px;
	border-radius: 45px;
	cursor: pointer;
	transition: 0.3s ease;
}

.previous_page:hover {
	transform: translateX(-5px);
}

.next_page:hover {
	transform: translateX(5px);
}

.current_page,
.dots {
	background: #ccc;
	width: 45px;
	border-radius: 50%;
	cursor: pointer;
}

.active_ {
	background: #f14e95;
}

.disable_ {
	background: #ccc;
}


.link {
	text-decoration: none !important;
}

.link:hover,
.link:focus {
	color: cadetblue !important;
}

.custom-scrollbar-css {
	height: 410px;
}


/* Custom Scrollbar using CSS */
.custom-scrollbar-css {
	overflow-y: scroll;
}

/* scrollbar width */
.custom-scrollbar-css::-webkit-scrollbar {
	width: 5px;
}

/* scrollbar track */
.custom-scrollbar-css::-webkit-scrollbar-track {
	background: #eee;
}

/* scrollbar handle */
.custom-scrollbar-css::-webkit-scrollbar-thumb {
	border-radius: 1rem;
	background-color: #f14e95;
	background-image: linear-gradient(to top, #f14e95 0%, #dd78a4 100%);
}

.gallery-img {
	column-count: 3;
	/* jumlah kolom (bisa 2 di mobile, 3 di desktop) */
	column-gap: 1rem;
}

.gallery-img a {
	display: inline-block;
	width: 100%;
	margin-bottom: 1rem;
}

.gallery-img img {
	width: 100%;
	border-radius: 10px;
	display: block;
}

@media (max-width: 768px) {
	.gallery-img {
		column-count: 2;
	}
}



@media (max-width: 480px) {
	.gallery-img {
		column-count: 1;
	}
}


@keyframes rotating {
	from {
		transform: rotate(0);
	}

	to {
		transform: rotate(360deg);
	}
}

@keyframes mymove {
	from {
		left: -300px;
	}

	to {
		left: 0px;
	}
}

@keyframes zoom {
	0% {
		scale: 100%;
	}

	50% {
		scale: 103%;
	}

	100% {
		scale: 100%;
	}
}

@keyframes zoom-in {
	0% {
		scale: 100%;
	}

	100% {
		scale: 110%;
	}
}


.zoom-in-element {
	animation: zoom-in 10s;
}

.namaMempelai {
	position: relative;
	animation: mymove 5s;
}

.tampildata {

	font-size: 80%;

}

.simply-countdown>.simply-section {
	padding: 55px;
	margin: 4px;
}

.simply-countdown>.simply-section .simply-word {

	font-size: 80%;
}


/* Media Query */
/* Extra Large */
@media (max-width: 1200px) {
	.home .heart {
		transform: translateX(-50%) translateY(45px);
	}

	.tampildata {

		font-size: 70%;

	}
}

@media (max-width: 1024px) {
	html {
		font-size: 75%;
	}

	.home .heart {
		display: none;
	}

	.simply-countdown>.simply-section {
		padding: 50px;
	}

	.simply-countdown>.simply-section .simply-amount,
	.simply-countdown>.simply-section .simply-word {
		font-size: 1.2rem;
	}

	.simply-countdown>.simply-section .simply-amount {
		font-size: 1.9rem;
	}
}

/* laptop */
@media (max-width: 992px) {
	html {
		font-size: 75%;
	}

	.simply-countdown>.simply-section {
		padding: 50px;
	}

	.simply-countdown>.simply-section .simply-amount,
	.simply-countdown>.simply-section .simply-word {
		font-size: 1.2rem;
	}

	.simply-countdown>.simply-section .simply-amount {
		font-size: 1.9rem;
	}

	.timeline::before {
		left: 60px;
	}

	.timeline li .timeline-image {
		left: 15px;
		margin-left: 45px;
		top: 16px;
	}

	.timeline li .timeline-panel {
		width: calc((100% - 200px));
		float: right;
	}

	.timeline li .timeline-panel::before {
		border-left-width: 0;
		border-right-width: 15px;
		left: -15px;
		right: auto;
	}

	.timeline li .timeline-panel::after {
		border-left-width: 0;
		border-right-width: 14px;
		left: -13px;
		right: auto;
	}

	.pagination_ {
		margin: 15px 15px 25px;
	}

	.pagination_ li {
		margin: 4px;
		box-shadow: 0 5px 25px rgb(1 1 1 / 10%);
	}

	.pagination_ li a {
		font-size: 1.1em;
		line-height: 40px;
	}

	.current_page,
	.dots {
		width: 40px;
		border-radius: 50%;
	}

	.previous_page,
	.next_page {
		width: 60px;
		border-radius: 30px;
	}

}

/* tablet */
@media (max-width: 768.5px) {
	html {
		font-size: 72%;
	}

	.simply-countdown>.simply-section {
		padding: 55px;
	}

	.simply-countdown>.simply-section .simply-amount,
	.simply-countdown>.simply-section .simply-word {
		font-size: 1.5rem;
	}

	.simply-countdown>.simply-section .simply-amount {
		font-size: 1.9rem;
	}

	.mynavbar .nav-link {
		font-size: 2rem;
		text-align: center;
	}

	.sticky-top {
		overflow: hidden;
	}

	.timeline li .timeline-image {
		width: 140px;
		height: 140px;
	}

	.pagination_ {
		margin: 15px 15px 45px;
	}

	.pagination_ li {
		margin: 4px;
		box-shadow: 0 5px 25px rgb(1 1 1 / 10%);
	}

	.pagination_ li a {
		font-size: 1em;
		line-height: 35px;
	}

	.current_page,
	.dots {
		width: 35px;
		border-radius: 50%;
	}

	.previous_page,
	.next_page {
		width: 60px;
		border-radius: 35px;
	}

}

/* mobile phone */
@media (max-width: 576px) {
	html {
		font-size: 70%;
	}

	.hero h1 {
		font-size: 3rem;
	}

	.home h2,
	.info h2,
	.story h2,
	.gallery h2,
	.rsvp h2,
	.gifts h2 {

		font-size: 3.8rem;

	}

	.simply-countdown>.simply-section {
		padding: 30px;
	}

	.simply-countdown>.simply-section .simply-amount,
	.simply-countdown>.simply-section .simply-word {
		font-size: 1rem;
	}

	.simply-countdown>.simply-section .simply-amount {
		font-size: 1.4rem;
	}

	.timeline::before {
		left: 60px;
	}


	.timeline li .timeline-image {
		width: 80px;
		height: 80px;
	}

	.timeline li .timeline-panel {
		width: 65%;
		transform: translateX(-20px);
	}

	.timeline li .timeline-panel::before {
		top: 30px;
	}

	.timeline li .timeline-panel::after {
		top: 31px;
	}

	.pagination_ {
		margin: 10px 10px 40px;
	}

	.pagination_ li {
		margin: 3px;
		box-shadow: 0 5px 25px rgb(1 1 1 / 10%);
	}

	.pagination_ li a {
		font-size: 0.8em;
		line-height: 25px;
	}

	.current_page,
	.dots {
		width: 25px;
		border-radius: 50%;
	}

	.previous_page,
	.next_page {
		width: 40px;
		border-radius: 25px;
	}

	.tampildata {

		font-size: 80%;
	}

	.img-info {
		position: absolute;
		top: 525px;
		left: -100px;
		width: 100%;
		height: 100%;
	}

	.img-info img {
		width: 200px;
	}

	.img-info2 {
		position: absolute;
		top: 0;
		left: 100px;
	}

	.img-info2 img {
		width: 200px;
	}

	.hidden-profil {
		display: none;
	}

}

@media (max-width:540px) {
	.img-info {
		position: absolute;
		top: 525px;
		left: -155px;
		width: 100%;
		height: 100%;
	}

	.img-info img {
		width: 200px;
	}

	.img-info2 {
		position: absolute;
		top: 0;
		left: 160px;
	}

	.img-info2 img {
		width: 200px;
	}
}

@media (max-width:430px) {
	.img-info {
		position: absolute;
		top: 540px;
		left: -100px;
		width: 100%;
		height: 100%;
	}

	.img-info img {
		width: 200px;
	}

	.img-info2 {
		position: absolute;
		top: 0;
		left: 100px;
	}

	.img-info2 img {
		width: 200px;
	}
}

@media (max-width:360px) {
	.simply-countdown>.simply-section {
		padding: 30px;
		margin: 2px;

	}

	.simply-countdown>.simply-section .simply-word {

		font-size: 70%;
	}

	.hidden-profil {
		display: none;
	}

	.img-info {
		position: absolute;
		top: 525px;
		left: -90px;
		width: 100%;
		height: 100%;
	}

	.img-info img {
		width: 200px;
	}

	.img-info2 {
		position: absolute;
		top: 0;
		left: 70px;
	}

	.img-info2 img {
		width: 200px;
	}
}